Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Class PKIStatus

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmp.PKIStatus

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class PKIStatus
extends ASN1Object

PKIStatus ::= INTEGER { accepted (0), -- you got exactly what you asked for grantedWithMods (1), -- you got something like what you asked for; the -- requester is responsible for ascertaining the differences rejection (2), -- you don't get it, more information elsewhere in the message waiting (3), -- the request body part has not yet been processed; expect to -- hear more later (note: proper handling of this status -- response MAY use the polling req/rep PKIMessages specified -- in Section 5.3.22; alternatively, polling in the underlying -- transport layer MAY have some utility in this regard) revocationWarning (4), -- this message contains a warning that a revocation is -- imminent revocationNotification (5), -- notification that a revocation has occurred keyUpdateWarning (6) -- update already done for the oldCertId specified in -- CertReqMsg }

Field Summary
`static PKIStatus` | `granted`
`static int` | `GRANTED`
`static int` | `GRANTED_WITH_MODS`
`static PKIStatus` | `grantedWithMods`
`static int` | `KEY_UPDATE_WARNING`
`static PKIStatus` | `keyUpdateWaiting`
`static PKIStatus` | `rejection`
`static int` | `REJECTION`
`static int` | `REVOCATION_NOTIFICATION`
`static int` | `REVOCATION_WARNING`
`static PKIStatus` | `revocationNotification`
`static PKIStatus` | `revocationWarning`
`static PKIStatus` | `waiting`
`static int` | `WAITING`

Method Summary
`static PKIStatus` | `getInstance(java.lang.Object o)`
`java.math.BigInteger` | `getValue()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRANTED

    public static final int GRANTED

See Also:
  Constant Field Values

### GRANTED_WITH_MODS

    public static final int GRANTED_WITH_MODS

See Also:
  Constant Field Values

### REJECTION

    public static final int REJECTION

See Also:
  Constant Field Values

### WAITING

    public static final int WAITING

See Also:
  Constant Field Values

### REVOCATION_WARNING

    public static final int REVOCATION_WARNING

See Also:
  Constant Field Values

### REVOCATION_NOTIFICATION

    public static final int REVOCATION_NOTIFICATION

See Also:
  Constant Field Values

### KEY_UPDATE_WARNING

    public static final int KEY_UPDATE_WARNING

See Also:
  Constant Field Values

### granted

    public static final PKIStatus granted

### grantedWithMods

    public static final PKIStatus grantedWithMods

### rejection

    public static final PKIStatus rejection

### waiting

    public static final PKIStatus waiting

### revocationWarning

    public static final PKIStatus revocationWarning

### revocationNotification

    public static final PKIStatus revocationNotification

### keyUpdateWaiting

    public static final PKIStatus keyUpdateWaiting

Method Detail

### getInstance

    public static PKIStatus getInstance(java.lang.Object o)

### getValue

    public java.math.BigInteger getValue()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD